#include "Menu.hpp"
#include "Play.hpp"
#include <Graphics/Graphics.hpp>
#include <Graphics/Font.hpp>
#include <Graphics/Texture.hpp>
#include <vector>
using namespace std;

/* Constructor */
Menu::Menu() {
	
}

/* Destructor */
Menu::~Menu() {

}

void Menu::draw() {
	glClear(GL_COLOR_BUFFER_BIT);

	Graphics::TextureRef splashScreen = Graphics::get_texture("splash.png");
	if(splashScreen.ref){
		glColor3f(1.0f, 1.0f, 1.0f);
		glEnable(GL_TEXTURE_2D);
		glBindTexture(GL_TEXTURE_2D, splashScreen->obj);
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_CLAMP_TO_EDGE);
		glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_CLAMP_TO_EDGE);
	}
	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, splashScreen->obj);

	glBegin(GL_QUADS);
	
	glTexCoord2f(0,1);
	glVertex2f(-Graphics::aspectf(), 1.0f);
	
	glTexCoord2f(1,1);
	glVertex2f(Graphics::aspectf(), 1.0f);

	glTexCoord2f(1, 0);
	glVertex2f(Graphics::aspectf(), -1.0f);

	glTexCoord2f(0,0);
	glVertex2f(-Graphics::aspectf(), -1.0f);

	glEnd();



	glDisable(GL_TEXTURE_2D);
}

void Menu::update(float elapsed_time) {

}

void Menu::handle_event(SDL_Event const &event) {
	//Handle events here:
	if (event.type == SDL_KEYDOWN) {
		if (event.key.keysym.sym == SDLK_ESCAPE) {
			//escape quits.
			quit_screen(this);
		}
		else{
			//enter starts the game
			Play p;
			quit_screen(this);
			start_screen(&p);
		}
	}
}


